Package openlink.util

## Class VectorOfFloat

- java.lang.Object
- - openlink.util.Vector
  - - openlink.util.VectorOfFloat

    public class VectorOfFloat
    extends Vector

The VectorOfFloat class is an implementation to store Float objects.

See Also:
  `Vector`

### Field Summary

### Fields inherited from class openlink.util.Vector

`capacityIncrement, elementCount, elementData`

### Constructor Summary

Constructors
`VectorOfFloat​()` Constructs an empty vector of Float objects.
`VectorOfFloat​(int initialCapacity)` Constructs an empty vector with the specified initial capacity.
`VectorOfFloat​(int initialCapacity, int capacityIncrement)` Constructs an empty vector with the specified initial capacity and capacity increment.
`VectorOfFloat​(java.lang.Object[] array)` Constructs a vector from an array of Float.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class openlink.util.Vector

`addElement, capacity, clone, contains, copyInto, elementAt, elements, ensureCapacity, firstElement, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, removeAllElements, removeElement, removeElementAt, setElementAt, setSize, size, toString, trimToSize`

### Constructor Detail

#### VectorOfFloat

    public VectorOfFloat​()

Constructs an empty vector of Float objects.

#### VectorOfFloat

    public VectorOfFloat​(int initialCapacity)

Constructs an empty vector with the specified initial capacity.

Parameters:
  `initialCapacity` - The initial capacity of the vector.

#### VectorOfFloat

    public VectorOfFloat​(int initialCapacity,
                         int capacityIncrement)

Constructs an empty vector with the specified initial capacity and capacity increment.

Parameters:
  `initialCapacity` - The initial capacity of the vector.
  `capacityIncrement` - The amount by which the capacity is increased when the vector overflows.

#### VectorOfFloat

    public VectorOfFloat​(java.lang.Object[] array)

Constructs a vector from an array of Float.

Parameters:
  `array` - The array of float to copy into the vector.